"use strict";

App.module("RepresentationModule", function(RepresentationModule, App, Backbone, Marionette, $, _, Logger) {

    RepresentationModule.addInitializer(function(options){

        RepresentationModule.registerMaster({
            id: "view._default",
            inherit: "view._",

            options: {
                visInstanceContentHeightMin: 20,
                visInstanceContentHeightMax: 20,
            },

            defaultConfigParameterValues: {
                widthToHeightRatio: undefined
            },


            // =================================================================
            // dynamic derived vis instance data


            // -----------------------------------------------------------------
            // dynamic derived vis instance data - base

            _generateCustomParamsForBasePerspectiveRequestParams: function(viewConfig) {
                return null;
            },

        });
    });
}, Logger);
